/*/////////////////////////////////////////////////////////*/
/*-------footer區--------*/
/*/////////////////////////////////////////////////////////*/

.footer {
    background-color: #333;
    padding: 32px 0px 17px;
}

.footer .wrap{
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: space-between;
    padding-bottom: clamp(0.625rem, -0.042rem + 1.08vw, 1.25rem); /* 10 20 */
}

/*返回最上面*/
.topBtn {
    position: fixed;
    bottom: -70px;
    right: 14px;
    z-index: 3;
}

.topBtn a {
    display: block;
    text-align: center;
    box-sizing: border-box;
    width: 33px;
    height: 33px;
    border: solid 2px #ea5413c7;
    position: relative;
    text-decoration: none;
    transition: 0.3s ease all;
    border-radius: 100%;
    background: #fff;
    padding: 13px 0px 0px;
    color: #ea5413c7;
}

.topBtn a:before {
    position: absolute;
    content: '';
    border-bottom: solid 8px #ea5413c7;
    border-left: solid 4px rgba(0, 0, 0, 0);
    border-right: solid 4px rgba(0, 0, 0, 0);
    top: 4px;
    left: 10px;
}

.topBtn a span {
    font-size: 12px;
    transform: scale(0.8);
    display: block;
}

/* QR code------------------------------- */

.qrcode_img_area{}
.qrcode_img_area .qrcode_img{
    display: block;
    width: 5rem;
}
.qrcode_img img{
    width: 100%;
    height: auto;
}


/*hover-----------------------------------*/
.topBtn a:hover {
    border-color: #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    color: #595757;
}

.topBtn a:hover:before {
    border-bottom: solid 8px #595757;
}


/*版腳左*/
.footerLeft {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: clamp(0.625rem, -0.042rem + 1.08vw, 1.25rem); /* 10 20 */
}

.footerLeft_info {
    color: #777;
    font-size: clamp(0.75rem, 0.617rem + 0.22vw, 0.875rem); /* 12 14 */
    line-height: 34px;
    display: flex;
    flex-direction: column;
    gap: .3125rem;
}

.footerLeft_info span {
    display: inline-block;
    padding-right: 7px;
    color: #ffffff;
    font-size: 13px;
    line-height: 14px;
}

.footerLeft_info span.fL_TitLine {
    position: relative;
    margin-right: 10px;
}

.footerLeft_info span.fL_TitLine:after {
    /* position: absolute;
    content: "|";
    right: -6px;
    top: 2px; */
}

.footerLeft_info span.fL_TitLine:last-of-type:after {
    display: none;
}

.footerLeft_infoName {
    /* font-size: 15px;
    display: flex;
    gap: .3125rem;
    flex-direction: column; */
}

.fL_infoNameTit {}

.copyright {
    text-align: center;
    font-size: 12px;
    color: #e5e5e5;
    padding: 17px 0px 0px;
    border-top: 1px #e5e5e5 solid;
}
.copyright .wrap {
    justify-content: center;
    padding: unset;
}

.copyright a {
    color: #e5e5e5;
}

/*版腳右*/
.footerRight {
    /* float: right; */
}

/*版腳右主按鍵*/
.footerRight_navbar {
    display: flex;
    flex-wrap: wrap;
    gap: .3125rem; /* 5 */
    font-size: inherit;
    text-align: right;
    /* margin: 0px -6px; */
}

.fR_nav {
    display: inline-block;
    vertical-align: top;
}

.fR_nav a {
    font-size: clamp(0.75rem, 0.483rem + 0.43vw, 1rem); /* 12 16 */
    color: #fff;
    border: solid 1px #fff;
    padding: 8px;
    text-decoration: none;
    display: block;
    border-radius: 3px;
    position: relative;
    transition: all 0.3s ease-out;
}

.fR_nav a:hover {
    color: #ea5413c7;
    border: solid 1px #ea5413c7;
    padding: 8px 16px;
    transition: all 0.3s ease-out;
}



/*版腳社群*/
.footer_icon_area {
    text-align: right;
    padding-top: 25px;
}

.footer_icon {
    display: inline-block;
    padding-left: 10px;
}

.footer_icon a {
    display: block;
}

.footer_icon a:hover {
    opacity: 0.7;
}

.footer_icon img {
    width: 50px;
    height: auto;

    /*360旋轉效果*/
    transition: 0.7s ease-in-out;
}

/*hover*/
.footer_icon a:hover img {
    opacity: 0.7;

    transition: 0.7s ease-in-out;
    -moz-transform: rotateY(360deg);
    -o-transform: rotateY(360deg);
    -ms-transform: rotateY(360deg);
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
}





@media (max-width: 1200px) {

    /*版腳左*/
    .footerLeft {
        width: 500px;
    }

    span.fL_infoNameTit {
        padding-bottom: 0px;
        margin: 0px 0px -3px;
    }
}

@media (max-width: 1201px) {

    /*版腳左*/
    .footerLeft {
        float: none;
        width: auto;
    }

    .footerLeft_info {
        text-align: left;
        gap: unset;
    }

    .footerLeft_info span {
        padding: 5px 0;
    }

    .footerLeft_info span.fL_TitLine:after {
        right: -9px;
        top: 5px;
    }


    /*版腳右*/
    .footerRight {
        float: none;
        width: auto;
    }

    /*版腳右主按鍵*/
    .footerRight_navbar {
        text-align: center;
    }

    .fR_nav {
        /*width:19.5%;*/
        box-sizing: border-box;
    }

    .fR_nav a {
        padding: 8px 5px;
    }

    .footer_icon_area {
        text-align: center;
        padding-top: 30px;
    }

    .footer_icon {
        padding: 0px 9px;
    }


}





@media (max-width: 640px) {

    /*版腳右主按鍵*/
    .footerRight_navbar {
        display: none;
    }

    /*返回最上面*/
    .topBtn {
        position: relative;
        top: -32px;
        bottom: auto;
        right: 0px;
    }

    .topBtn a {
        border-radius: 0px;
        width: auto;
        border: none;
        background: rgb(248 106 44 / 92%);
        color: #fff !important;
        padding: 21px 0px 0px;
        height: 42px;
    }

    .topBtn a:before {
        top: 10px;
        left: 50%;
        border-bottom-color: #fff !important;

        margin: 0px 0px 0px -4px;
    }








    .footerLeft_info {
        letter-spacing: 0;
    }



    .footer_icon_area {
        padding: 5px 0px 15px;
    }

}